package cz.cvut.fit.swing.calipel.core;

import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public class BenchmarkOutcome {

    private final BenchmarkInstance benchmarkInstance;
    private final List<Long> durations;

    public BenchmarkOutcome(BenchmarkInstance benchmarkInstance, List<Long> durations) {
        this.benchmarkInstance = benchmarkInstance;
        this.durations = durations;
    }

    @Override
    public String toString() {
        return "BenchmarkOutcome{" +
              "benchmarkInstance=" + benchmarkInstance +
              ", durations=" + durations +
              '}';
    }

    public Map toMap() {
        Map map = new LinkedHashMap();
        map.put("benchmark", benchmarkInstance.toMap());
        map.put("times", durations);
        map.put("parameters", Collections.emptyMap());

        return map;
    }
}
