package cz.cvut.fit.swing.calipel.core;

import java.util.ArrayList;
import java.util.List;

public class BenchmarkResult {

    private List<BenchmarkFailure> failedBenchmarks = new ArrayList<BenchmarkFailure>();
    private List<BenchmarkOutcome> measuredBenchmarks = new ArrayList<BenchmarkOutcome>();


    public void benchmarkFailed(Benchmark benchmark, Exception e) {
        failedBenchmarks.add(new BenchmarkFailure(benchmark, e));
    }

    public void benchmarkMeasured(BenchmarkInstance benchmark, List<Long> durations) {
        measuredBenchmarks.add(new BenchmarkOutcome(benchmark, durations));
    }

    @Override
    public String toString() {
        return "BenchmarkResult{" +
              "failedBenchmarks=" + failedBenchmarks +
              ", measuredBenchmarks=" + measuredBenchmarks +
              '}';
    }

    public List<BenchmarkOutcome> getMeasuredBenchmarks() {
        return measuredBenchmarks;
    }
}
