package cz.cvut.fit.swing.calipel.core;

import cz.cvut.fit.swing.calipel.printer.Printer;

/**
 * User: mh
 */
public class BenchmarkRunner {
    private final Configuration configuration;
    private final BenchmarkSuite benchmarks;
    private final Printer printer;

    public BenchmarkRunner(BenchmarkSuite benchmarks,
                           Printer printer,
                           Configuration configuration) {
        this.benchmarks = benchmarks;
        this.printer = printer;
        this.configuration = configuration;
    }

    public void start() {
        BenchmarkResult result = new BenchmarkResult();

        for (Benchmark benchmark : benchmarks.getAllBenchmarks()) {
            benchmark.run(result);
        }

        printer.printResult(result);
    }
}
