require 'bundler/capistrano'
set :rvm_ruby_string, '2.0.0'
require 'rvm/capistrano'

set :application, "calipel"

set :scm, :mercurial
set :repository,  "https://bitbucket.org/janvrany/jv-calipel"

set :deploy_via, :remote_cache
set :deploy_to, "/home/hlopkmar/calipel"
set :deploy_subdir, "web"

server "swing.fit.cvut.cz", :app, :web, :db, primary: true
if ENV['USER'] == 'jv'
  set :user, "vranyj1"
else
  set :user, "hlopkmar"
end
set :use_sudo, false

set :default_environment, {
  'PATH' => "/home/hlopkmar/.rvm/gems/ruby-2.0.0-p195/bin:/home/hlopkmar/.rvm/bin:$PATH"
}

set :shared_children, shared_children + [
    "public/uploads",
    ".htaccess",
    "/db/production.sqlite3",
    ".env"
  ]

after "deploy:update_code", "deploy:migrate"
after "deploy:restart", "deploy:cleanup"

namespace :deploy do
  task :restart, :roles => :app, :except => { :no_release => true } do
    run "touch #{File.join(current_path,'tmp','restart.txt')}"
  end
end
